Package org.eclipse.net4j.db.derby

# Class EmbeddedDerbyAdapter

java.lang.Object
org.eclipse.net4j.spi.db.DBAdapter
org.eclipse.net4j.db.derby.DerbyAdapter
org.eclipse.net4j.db.derby.EmbeddedDerbyAdapter

All Implemented Interfaces:
  `IDBAdapter`

public class EmbeddedDerbyAdapter extends DerbyAdapter
A `Derby adapter` for embedded databases.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.spi.db.DBAdapter

`DBAdapter.FieldInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from class org.eclipse.net4j.db.derby.DerbyAdapter

`VERSION`

### Fields inherited from interface org.eclipse.net4j.db.IDBAdapter

`REGISTRY`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`EmbeddedDerbyAdapter()`
`protected`
`EmbeddedDerbyAdapter(String name, String version)`

## Method Summary

### Methods inherited from class org.eclipse.net4j.db.derby.DerbyAdapter

`getDefaultSchemaName, getNullableConstraint, getReservedWords, getTypeName, isColumnNotFoundException, isDuplicateKeyException, isTableNotFoundException, isValidFirstChar`

### Methods inherited from class org.eclipse.net4j.spi.db.DBAdapter

`adaptType, addIndex, addIndexField, alterTable, appendFieldDefs, appendFieldNames, convertString, convertString, convertString, convertToSQL, createConnectionProvider, createConstraints, createField, createFieldDefinition, createFieldDefinitions, createIndex, createIndex, createIndex, createIndexFields, createJDBCDataSource, createPrimaryKey, createSchema, createTable, createTable, createTables, doCreateTable, dropField, dropIndex, dropIndex, dropPrimaryKey, dropTable, dropTable, dropTables, format, format, generateReservedWords, getDefaultDBLength, getDropTableSQL, getFieldLength, getJDBCDriver, getMaxFieldNameLength, getMaxTableNameLength, getName, getSQL92ReservedWords, getVersion, isCaseSensitive, isPrimaryKeyShadow, isReservedWord, isTypeIndexable, modifyConnection, openSchemaTransaction, readFields, readIndices, readIndices, readSchema, readSchema, readTables, sqlModifyField, sqlModifyField, sqlRenameField, toString, updateSchema, validateTable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### EmbeddedDerbyAdapter

public EmbeddedDerbyAdapter()

### EmbeddedDerbyAdapter

protected EmbeddedDerbyAdapter(String name, String version)

Since:
  4.3